package HTFeed::Namespace::BHL;

use strict;
use warnings;
use HTFeed::Namespace ;
use HTFeed::XPathValidator qw(:closures);
use base qw(HTFeed::Namespace);

our $identifier = 'bhl';

our $config = {
    packagetypes => [qw(email)],
    description => 'University of Michigan (Barcoded material)',
};

# currently no barcode scheme
sub validate_barcode {
    return 1;
}

1;

__END__

=pod

This is the namespace configuration file for the Bentley Historical Library

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('bhl');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
