package HTFeed::Namespace::COO;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'coo';

our $config = {

    # The GRIN ID
    grinid => 'Cornell',

    packagetypes => [qw(ht google)],

    description => 'Cornell University',

    handle_prefix => '2027/coo',
	
    tags => [qw(bib report)]
};


sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;

	# Codabar/LUHN, 31924
    return ($self->luhn_is_valid('31924',$barcode));
}

1;

__END__

=pod

This is the namespace configuration file for Cornell University

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('coo');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2011 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
