package HTFeed::Namespace::HVD;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'hvd';

our $config = {

    # The GRIN ID
    grinid => 'Harvard',
    packagetypes => [qw(ht google)],

    handle_prefix => '2027/hvd',
    description => 'Harvard University',
    tags => [qw(bib report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return ($barcode =~ /^[a-z]{2}[a-z0-9]{4}$/ # 6-character alphanumeric string, characters 1-2 alpha
            or  $self->luhn_is_valid('32044',$barcode)  # Harvard
    );
}

1;

__END__

=pod

This is the namespace configuration file for Harvard University

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('hvd');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
