package HTFeed::Namespace::IEN;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'ien';

our $config = {

    # The GRIN ID
    grinid => 'NWU',
    packagetypes => [qw(ht google)],

    description => 'Northwestern University (Barcoded material)',

    handle_prefix => '2027/ien',

    tags => [qw(bib cic pd_only report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return ($self->luhn_is_valid('35556',$barcode)
	or $self->luhn_is_valid('35557',$barcode)
	or $self->luhn_is_valid('35558',$barcode)
	or $self->luhn_is_valid('35559',$barcode));
}

1;

__END__

=pod

This is the namespace configuration file for Northwestern University

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('ien');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2011 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
