package HTFeed::Namespace::NJP;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'njp';

our $config = {

    # The GRIN ID
    grinid => 'PRNC',

    packagetypes => [qw(ht google)],

    handle_prefix => '2027/njp',

    description => 'Princeton University',
    tags => [qw(bib report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return ($self->luhn_is_valid('32101',$barcode));
}

1;

__END__

=pod

This is the namespace configuration file for Princeton University.

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('njp');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
