package HTFeed::Namespace::NNC2;

# Columbia University, IA content

use HTFeed::XPathValidator qw(:closures);
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'nnc2';

our $config = {
    handle_prefix => '2027/nnc2',
    packagetypes => [qw(ht ia)],
    description => 'Columbia University (ARKID)',
    tags => [qw(bib report)],

    validation => {
      'HTFeed::ModuleValidator::JPEG2000_hul' => {
          'layers' => v_and( v_ge( 'codingStyleDefault', 'layers', '1' ),
                             v_le( 'codingStyleDefault', 'layers', '2' ))
      }
    },

    # skip munging when remediating IA content from Columbia
    use_kdu_munge => 0
	
};

sub validate_barcode {
    my $self    = shift;
    my $objid   = shift;
    return $self->ia_ark_id_is_valid($objid);
}


1;

__END__
