package HTFeed::Stage::Done;

use warnings;
use strict;

use base qw(HTFeed::Stage);
use HTFeed::Config qw(get_config);
use HTFeed::DBTools;
use File::Pairtree qw(id2ppath s2ppchars);
use File::Path qw(make_path);

=head1 NAME

HTFeed::Stage::Done.pm

=item SYNOPSIS

Placeholder stage to clean up if not collating.

=cut

sub run{
    my $self = shift;

    $self->_set_done();
    return $self->succeeded();
    return;
}

sub stage_info{
    return {success_state => 'done', failure_state => 'punted'};
}

sub clean_always{
    my $self = shift;
    $self->{volume}->clean_unpacked_object();
    $self->{volume}->clean_mets();
    $self->{volume}->clean_zip();
    $self->{volume}->clear_premis_events();
    $self->{volume}->clean_download();
}

1;

__END__

=pod

=head1 AUTHOR

    Library IT - Core Services
    University of Michigan
    lit-cs-ingest@umich.edu
    http://www.lib.umich.edu/

=head1 COPYRIGHT

Copyright (c) 2010-2012 The Regents of the University of Michigan. All rights
reserved. This program is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

The full text of the license can be found in the
LICENSE file included with this module.



=cut
